AIServerExtValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.AIServerExtValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class AIServerExtValue

    java.lang.Object
      org.hyperic.hq.appdef.shared.AIAppdefResourceValue
          org.hyperic.hq.appdef.shared.AIServerValue
              org.hyperic.hq.appdef.shared.AIServerExtValue

All Implemented Interfaces:
  java.io.Serializable

    public class AIServerExtValue

extends AIServerValue

Extends AIServerValue by allowing it to hold an array of AIServiceValue objects. Also provides a "placeholder" flag, used to indicate to the server-side of runtime-AI that the object exists solely to carry services underneath it, and that its other properties should not be used to update the corresponding appdef server.

See Also:
  Serialized Form

Constructor Summary
`AIServerExtValue()`

Method Summary
`void` | `addAIServiceTypeValue(AIServiceTypeValue aiserviceType)`
`void` | `addAIServiceValue(AIServiceValue aiservice)`
`void` | `addMetricConnectHashCode(ConfigResponse config, java.lang.String key)`
`void` | `addMetricConnectHashCode(ConfigResponse config, java.lang.String[] keys)`
`void` | `addMetricConnectHashCode(java.lang.Object object)`
`AIServiceTypeValue[]` | `getAiServiceTypes()`
`AIServiceValue[]` | `getAIServiceValues()`
`java.util.List` | `getAIServiceValuesAsList()`
`boolean` | `getAutoEnable()` When true tells the HQ server that this server resource is ready to have metrics and runtime auto-inventory enabled.
`int` | `getMetricConnectHashCode()` The hashCode of metric configuration values used to connect to this server for monitoring.
`boolean` | `getPlaceholder()`
`void` | `setAiServiceTypes(AIServiceTypeValue[] aiServiceTypes)`
`void` | `setAIServiceValues(AIServiceValue[] aiservices)`
`void` | `setAutoEnable(boolean autoEnable)`
`void` | `setMetricConnectHashCode(int metricConnectHashCode)`
`void` | `setPlaceholder(boolean ph)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.appdef.shared.AIServerValue
`autoinventoryIdentifierHasBeenSet, controlConfigHasBeenSet, cTimeHasBeenSet, customPropertiesHasBeenSet, descriptionHasBeenSet, diffHasBeenSet, equals, getAutoinventoryIdentifier, getControlConfig, getCTime, getCustomProperties, getDescription, getDiff, getId, getIgnored, getInstallPath, getMeasurementConfig, getMTime, getName, getProductConfig, getQueueStatus, getResponseTimeConfig, getServerTypeName, getServicesAutomanaged, hashCode, hasIdentity, idHasBeenSet, ignoredHasBeenSet, installPathHasBeenSet, isIdentical, measurementConfigHasBeenSet, mTimeHasBeenSet, nameHasBeenSet, productConfigHasBeenSet, queueStatusHasBeenSet, responseTimeConfigHasBeenSet, serverTypeNameHasBeenSet, servicesAutomanagedHasBeenSet, setAutoinventoryIdentifier, setControlConfig, setCTime, setCustomProperties, setDescription, setDiff, setId, setIgnored, setInstallPath, setMeasurementConfig, setMTime, setName, setProductConfig, setQueueStatus, setResponseTimeConfig, setServerTypeName, setServicesAutomanaged, unsetMeasurementConfig`

Methods inherited from class org.hyperic.hq.appdef.shared.AIAppdefResourceValue
`getQueueStatusStr, isPlatformDevice`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AIServerExtValue

    public AIServerExtValue()

Method Detail

### getAIServiceValues

    public AIServiceValue[] getAIServiceValues()

### setAIServiceValues

    public void setAIServiceValues(AIServiceValue[] aiservices)

### getAiServiceTypes

    public AIServiceTypeValue[] getAiServiceTypes()

### setAiServiceTypes

    public void setAiServiceTypes(AIServiceTypeValue[] aiServiceTypes)

### getAIServiceValuesAsList

    public java.util.List getAIServiceValuesAsList()

### addAIServiceValue

    public void addAIServiceValue(AIServiceValue aiservice)

### addAIServiceTypeValue

    public void addAIServiceTypeValue(AIServiceTypeValue aiserviceType)

### getPlaceholder

    public boolean getPlaceholder()

### setPlaceholder

    public void setPlaceholder(boolean ph)

### getAutoEnable

    public boolean getAutoEnable()

  When true tells the HQ server that this server resource is ready to have metrics and runtime auto-inventory enabled. This is in addition to have the metric ConfigResponse set and allows plugins to turn off AutoEnable when there is more than 1 server resourcs with the same metric configuration.

### setAutoEnable

    public void setAutoEnable(boolean autoEnable)

### getMetricConnectHashCode

    public int getMetricConnectHashCode()

  The hashCode of metric configuration values used to connect to this server for monitoring. When set makes it possible to determine if two servers are being reported with the same config, in which case the server will only auto enable metrics and runtime AI for the first server reported.

### setMetricConnectHashCode

    public void setMetricConnectHashCode(int metricConnectHashCode)

### addMetricConnectHashCode

    public void addMetricConnectHashCode(ConfigResponse config,
                                         java.lang.String[] keys)

### addMetricConnectHashCode

    public void addMetricConnectHashCode(ConfigResponse config,
                                         java.lang.String key)

### addMetricConnectHashCode

    public void addMetricConnectHashCode(java.lang.Object object)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `AIServerValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.